import java.util.Scanner;

class Zoom {

	//Funcao que calcula a distancia de Camila em relacao a lousa
	public static double calculaDistancia(int x, int y) {
		//A distancia eh calculada como uma linha reta da base da lousa ate a coordenada de Camila
		double distLousaY = 3.0;
		double distLousaX = 0.0;
		double distFinal = 0;
		
		//Quando esta nas carteiras centrais, Camila esta a uma distancia de 3 + y-1 unidades da lousa
		if (x > 2 && x < 7) {
			distLousaX = 0.0;
			
		//Nos outros dois casos eh utilizado o teorema de pitagoras para calcular a distancia
		} else if (x == 1 || x == 8) {			
			distLousaX = 2.0;
		} else if (x == 2 || x == 7) {
			distLousaX = 1.0;
		}

		distFinal = Math.pow(distLousaX, 2) + Math.pow(y - 1 + distLousaY, 2);

		return Math.sqrt(distFinal);
	}

	//Funcao que verifica o quanto de zoom deve ser configurado e retorna a string adequada
	public static String verificaZoom(double distancia) {
		String result = "";
		
		if (distancia == 3) {
			result = "1,5x";
		} else if (distancia > 3 && distancia < 9) {
			result = "2,5x";
		} else
			result = "4,0x";

		return result;
	}

	public static void main(String[] args) {
		
		Scanner scan = new Scanner(System.in);
		int n = scan.nextInt();
		//Vetor que armazena os resultados das distancias calculadas para cada caso de teste
		double[] resultDist = new double[n];
		
		//Vetor que armazena os valores para o zoom em cada caso de teste
		String[] resultZoom = new String[n];
		
		//Variaveis que receberao as coordenadas passadas como entrada
		int x, y;

		//Laco que itera n vezes para receber as entradas de cada caso de teste e processa-las
		for (int i = 0; i < n; i++) {
			
			//Recebe as entradas x e y
			x = scan.nextInt();
			y = scan.nextInt();

			//Calcula a distancia e armazena no vetor
			resultDist[i] = calculaDistancia(x, y);
			
			//Calcula o zoom e armazena no vetor
			resultZoom[i] = verificaZoom(resultDist[i]);
		}

		//Laco que percorre os vetores de saida e exibe os resultados de cada caso de teste na tela
		for (int i = 0; i < n; i++) {
			System.out.println((int) resultDist[i] + " " + resultZoom[i]);
		}

	}

}
